/**@file

// plcConstant_declarations.ctl
This library contains the definition of the constants.

@par Creation Date
  dd/mm/yyyy

@par Modification History
  
@par Constraints
  None

@par Usage
  Public

@par PVSS managers
  Ui, CTRL

@author 
  the author (DEP-GROUP)
*/

//@{

// put here the constants
const string PLC_DPNAME_PREFIX = "plc";

// constants for the check/import of the FrontEndType
const string PLC_CMW_DPTYPE = "CMW";
// total length of the PLCONFIG line (dyn_string) withoout PLCONFIG


// put here the FE system alarm const for check if needed
//const unsigned UN_CMW_CHECKFESYSTEM_ALARM_LENGTH = x;	// x parameters
//const unsigned UN_CMW_CHECKFESYSTEM_ALARM_FRONTEND = 1;	// front-end type
//const unsigned UN_CMW_CHECKFESYSTEM_ALARM_NAME = 2;	// name
//const unsigned UN_CMW_CHECKFESYSTEM_ALARM_ADDRESS = 3;	// Address in front-end
//const unsigned UN_CMW_CHECKFESYSTEM_ALARM_OKALARM = 4;	// true=alarm if value>10, false (default) = alarm if value<=10
//const unsigned UN_CMW_CHECKFESYSTEM_ALARM_DESCRIPTION = 5;	// description
//const unsigned UN_CMW_CHECKFESYSTEM_ALARM_FIELD1 = 6;	// 
//const unsigned UN_CMW_CHECKFESYSTEM_ALARM_FIELD2 = 7;	// 
//const unsigned UN_CMW_CHECKFESYSTEM_ALARM_FIELD3 = 8;	// 
//const unsigned UN_CMW_CHECKFESYSTEM_ALARM_FIELD4 = 9;	// 

//const unsigned UN_CMW_SETFESYSTEM_ALARM_LENGTH = y;	// y=x+7 parameters

//const unsigned UN_CMW_SETFESYSTEM_ALARM_NAME = 1;	// name
//const unsigned UN_CMW_SETFESYSTEM_ALARM_ADDRESS = 2;	// Address in front-end
//const unsigned UN_CMW_SETFESYSTEM_ALARM_OKALARM = 3;	// true=alarm if value>10, false (default) = alarm if value<=10
//const unsigned UN_CMW_SETFESYSTEM_ALARM_DESCRIPTION = 4;	// description
//const unsigned UN_CMW_SETFESYSTEM_ALARM_FIELD1 = 5;	// 
//const unsigned UN_CMW_SETFESYSTEM_ALARM_FIELD2 = 6;	// 
//const unsigned UN_CMW_SETFESYSTEM_ALARM_FIELD3 = 7;	// 
//const unsigned UN_CMW_SETFESYSTEM_ALARM_FIELD4 = 8;	// 

//const unsigned UN_CMW_FESYSTEMALARM_DEVICENAME = 9;
//const unsigned UN_CMW_FESYSTEMALARM_PLCNAME = 10;
//const unsigned UN_CMW_FESYSTEMALARM_TYPE = 11;
//const unsigned UN_CMW_FESYSTEMALARM_PLCNUMBER = 12;
//const unsigned UN_CMW_FESYSTEMALARM_DRIVER = 13;
//const unsigned UN_CMW_FESYSTEMALARM_EVENT16 = 14;
//const unsigned UN_CMW_FESYSTEMALARM_ARCHIVE = 15;

// constant for DQGTW system integrity

const string c_PLC_FRONTEND_UNSYSTEMALARM = "_unSystemAlarm";

// constant for the check/import of the DeviceType
const unsigned PLC_CONFIG_ICEMONPLC_LENGTH = 3; // device config lenght without the mandatory field
// if the archive Y/N is configurable for the device, 
// the constant UN_CONFIG_CMW_ICEMONPLC_ARCHIVE_ACTIVE is mandatory
// if yes then the import takes the default configuration from the JCOP device definition
// if no then the import does not add the DPEs
// if the archive is not configurable for the device, the import takes the default configuration from the JCOP device definition

const unsigned PLC_CONFIG_ICEMONPLC_TYPE = 1;
const unsigned PLC_CONFIG_ICEMONPLC_IP = 2;
const unsigned PLC_CONFIG_ICEMONPLC_APPLICATION = 3;




// constant for export

// constant for widget

// constant for faceplate

// constant for device action interface
const string PLC_CONFIG_DEFAULT_ALERT_CLASS = "_fwErrorNack.";

// any other constants
const int PLC_ICEMONPLC_METRIC_LENGTH = 8;
const int PLC_SCHNEIDER_METRIC_LENGTH = 8;
const int PLC_SIEMENS_METRIC_LENGTH = 5;
const string SCHNEIDER_PLC_PREMIUM = "PREMIUM";
const string SCHNEIDER_PLC_QUANTUM = "QUANTUM";
const string SIEMENS_PLC_S7_400 = "S7-400";
const string SIEMENS_PLC_S7_300 = "S7-300";


const string PLC_DEVICELOG_DELIMITER = "~";
const int PLC_DEVICELOG_TOTALPARAMETERS = 5;

//@}

//@{

// put here the global variables
//global dyn_string g_ds_PLC_myVariable;

//@}

